Bug 1259350 (CVE-2015-5247) - CVE-2015-5247 libvirt: denial of service when volume creation fails on NFS pool
Summary: CVE-2015-5247 libvirt: denial of service when volume creation fails on NFS pool
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-5247
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1253609
Blocks: 1259352
TreeView+ depends on / blocked
 
Reported: 2015-09-02 12:37 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:36 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-20 09:14:20 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-09-02 12:37:52 UTC
It was reported that libvirt did not perform a proper clean up after volume creation fails on an NFS pool with "root_squash" option enabled.
This leaves the NFS pool in damaged state.

Comment 1 Eric Blake 2015-09-02 14:07:23 UTC
Fix is public as of 2015-08-02:
https://www.redhat.com/archives/libvir-list/2015-September/msg00018.html

Comment 2 Eric Blake 2015-09-12 15:24:43 UTC
Libvirt Security Notice:
http://security.libvirt.org/2015/0003.html

Comment 3 Adam Mariš 2015-09-15 08:19:14 UTC
Upstream patches were released, see the Security Notice above.


Note You need to log in before you can comment on or make changes to this bug.